import { post, upload } from "@/request/axios.js";

export const getVideoCoursewareList = (params) =>
  post("/videocourseware/list", params); // 视频课件维护列表
export const getVideoCoursewareView = (params) =>
  post("/videocourseware/goEdit", params); // 视频课件维护查看
export const setVideoCoursewareState = (params) =>
  post("/videocourseware/editState", params); // 视频课件维护启用禁用
export const setVideoCoursewareDelete = (params) =>
  post("/videocourseware/delete", params); // 视频课件维护删除
export const setVideoCoursewareAdd = (params) =>
  post("/videocourseware/add", params); // 视频课件维护添加
export const setVideoCoursewareEdit = (params) =>
  post("/videocourseware/edit", params); // 视频课件维护修改
export const getDataCoursewareList = (params) =>
  post("/datacourseware/list", params); // 资料课件维护列表
export const getDataCoursewareView = (params) =>
  post("/datacourseware/goEdit", params); // 资料课件维护查看
export const setDataCoursewareState = (params) =>
  post("/datacourseware/editState", params); // 资料课件维护启用禁用
export const setDataCoursewareDelete = (params) =>
  post("/datacourseware/delete", params); // 资料课件维护删除
export const setDataCoursewareAdd = (params) =>
  upload("/datacourseware/add", params); // 资料课件维护添加
export const setDataCoursewareEdit = (params) =>
  upload("/datacourseware/edit", params); // 资料课件维护修改
export const getExercisesList = (params) => post("/question/list", params); // 课件习题列表
export const setExercisesDelete = (params) => post("/question/delete", params); // 删除课件习题
export const setExercisesDeleteBatch = (params) =>
  post("/question/deleteAll", params); // 批量删除课件习题
export const setExercisesImport = (params) =>
  upload("/question/readExcel", params); // 导入课件习题
export const setExercisesAdd = (params) => post("/question/add", params); // 新增课件习题
export const setExercisesEdit = (params) => post("/question/edit", params); // 修改课件习题
export const getCurriculumList = (params) => post("/curriculum/list", params); // 课程管理列表
export const getCurriculumView = (params) => post("/curriculum/goEdit", params); // 课程管理查看
export const setCurriculumDelete = (params) =>
  post("/curriculum/delete", params); // 课程管理删除
